#!/bin/bash

LOG_FILE=/var/log/wordpress_startup.log
CONTAINER_NAME=wordpress

if ! command -v tee > /dev/null; then
    echo "`date` tee command not found. Please install tee." >> $LOG_FILE
    exit 11
fi

if ! command -v docker-compose > /dev/null; then
    echo "`date` docker-compose command not found. Please install docker-compose." | tee -a $LOG_FILE
    exit 11
fi

# Check Wordpress status
if docker-compose ps | grep $CONTAINER_NAME | grep Up > /dev/null; then
    echo "`date` Wordpress is running." | tee -a $LOG_FILE
    exit 0
fi

# startup Wordpress
docker-compose up -d
echo "`date` wait 10 seconds for $CONTAINER_NAME to start" | tee -a $LOG_FILE
sleep 10

# Check Wordpress status
if ! docker-compose ps | grep $CONTAINER_NAME | grep Up > /dev/null; then
    echo "`date` Wordpress is closed." | tee -a $LOG_FILE
    exit 11
fi
exit 0