#!/bin/bash

LOG_FILE=/var/log/wordpress_status.log
CONTAINER_NAME=wordpress

if ! command -v tee > /dev/null; then
    echo "`date` tee command not found. Please install tee." >> $LOG_FILE
    exit 10
fi

if ! command -v docker-compose > /dev/null; then
    echo "`date` docker-compose command not found. Please install docker-compose." | tee -a $LOG_FILE
    exit 10
fi

if ! docker-compose ps | grep $CONTAINER_NAME | grep Up > /dev/null; then
    echo "`date` Wordpress is closed." | tee -a $LOG_FILE
    exit 10
fi

echo "`date` Wordpress is running." | tee -a $LOG_FILE
exit 0